Package io.vertx.core.http

## Interface HttpHeaders

-     public interface HttpHeaders

  Contains a bunch of useful HTTP headers stuff:
  - methods for creating `MultiMap` instances
  - often used Header names
  - method to create optimized `CharSequence` which can be used as header name and value
  Author:
    Norman Maurer

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CharSequence` | `ACCEPT` | Accept header name
    `static CharSequence` | `ACCEPT_CHARSET` | Accept-Charset header name
    `static CharSequence` | `ACCEPT_ENCODING` | Accept-Encoding header name
    `static CharSequence` | `ACCEPT_LANGUAGE` | Accept-Language header name
    `static CharSequence` | `ACCEPT_PATCH` | Accept-Patch header name
    `static CharSequence` | `ACCEPT_RANGES` | Accept-Ranges header name
    `static CharSequence` | `ACCESS_CONTROL_ALLOW_CREDENTIALS` | Access-Control-Allow-Credentials header name
    `static CharSequence` | `ACCESS_CONTROL_ALLOW_HEADERS` | Access-Control-Allow-Headers header name
    `static CharSequence` | `ACCESS_CONTROL_ALLOW_METHODS` | Access-Control-Allow-Methods header name
    `static CharSequence` | `ACCESS_CONTROL_ALLOW_ORIGIN` | Access-Control-Allow-Origin header name
    `static CharSequence` | `ACCESS_CONTROL_ALLOW_PRIVATE_NETWORK` | Access-Control-Allow-Private-Network header name
    `static CharSequence` | `ACCESS_CONTROL_EXPOSE_HEADERS` | Access-Control-Expose-Headers header name
    `static CharSequence` | `ACCESS_CONTROL_MAX_AGE` | Access-Control-Max-Age header name
    `static CharSequence` | `ACCESS_CONTROL_REQUEST_HEADERS` | Access-Control-Request-Headers header name
    `static CharSequence` | `ACCESS_CONTROL_REQUEST_METHOD` | Access-Control-Request-Method header name
    `static CharSequence` | `ACCESS_CONTROL_REQUEST_PRIVATE_NETWORK` | Access-Control-Request-Private-Network header name
    `static CharSequence` | `AGE` | Age header name
    `static CharSequence` | `ALLOW` | Allow header name
    `static CharSequence` | `APPLICATION_X_WWW_FORM_URLENCODED` | application/x-www-form-urlencoded header value
    `static CharSequence` | `AUTHORIZATION` | Authorization header name
    `static CharSequence` | `CACHE_CONTROL` | Cache-Control header name
    `static CharSequence` | `CHUNKED` | chunked header value
    `static CharSequence` | `CLOSE` | close header value
    `static CharSequence` | `CONNECTION` | Connection header name
    `static CharSequence` | `CONTENT_BASE` | Content-Base header name
    `static CharSequence` | `CONTENT_DISPOSITION` | Content-Disposition header name
    `static CharSequence` | `CONTENT_ENCODING` | Content-Encoding header name
    `static CharSequence` | `CONTENT_LANGUAGE` | Content-Language header name
    `static CharSequence` | `CONTENT_LENGTH` | Content-Length header name
    `static CharSequence` | `CONTENT_LOCATION` | Content-Location header name
    `static CharSequence` | `CONTENT_MD5` | Content-MD5 header name
    `static CharSequence` | `CONTENT_RANGE` | Content-Rage header name
    `static CharSequence` | `CONTENT_TRANSFER_ENCODING` | Content-Transfer-Encoding header name
    `static CharSequence` | `CONTENT_TYPE` | Content-Type header name
    `static CharSequence` | `CONTINUE` | 100-continue header value
    `static CharSequence` | `COOKIE` | Content-Cookie header name
    `static CharSequence` | `DATE` | Date header name
    `static CharSequence` | `DEFLATE_GZIP` | deflate,gzip header value
    `static CharSequence` | `DEFLATE_GZIP_BR` | deflate,gzip,br header value
    `static CharSequence` | `DEFLATE_GZIP_ZSTD` | deflate,gzip,zstd header value
    `static CharSequence` | `DEFLATE_GZIP_ZSTD_BR_SNAPPY` | deflate,gzip,zstd,br header value
    `static boolean` | `DISABLE_HTTP_HEADERS_VALIDATION` | Deprecated.
    `static String` | `DISABLE_HTTP_HEADERS_VALIDATION_PROP_NAME` | Deprecated.
    `static CharSequence` | `ETAG` | Etag header name
    `static CharSequence` | `EXPECT` | Expect header name
    `static CharSequence` | `EXPIRES` | Expires header name
    `static CharSequence` | `FROM` | From header name
    `static CharSequence` | `GET` | GET header value
    `static CharSequence` | `HOST` | Host header name
    `static CharSequence` | `IDENTITY` | identity header value
    `static CharSequence` | `IF_MATCH` | If-Match header name
    `static CharSequence` | `IF_MODIFIED_SINCE` | If-Modified-Since header name
    `static CharSequence` | `IF_NONE_MATCH` | If-None-Match header name
    `static CharSequence` | `KEEP_ALIVE` | keep-alive header value
    `static CharSequence` | `LAST_MODIFIED` | Last-Modified header name
    `static CharSequence` | `LOCATION` | Location header name
    `static CharSequence` | `ORIGIN` | Origin header name
    `static CharSequence` | `PROXY_AUTHENTICATE` | Proxy-Authenticate header name
    `static CharSequence` | `PROXY_AUTHORIZATION` | Proxy-Authorization header name
    `static CharSequence` | `PSEUDO_AUTHORITY` | HTTP/2 `:authority` pseudo header
    `static CharSequence` | `PSEUDO_METHOD` | HTTP/2 `:method` pseudo hedaer
    `static CharSequence` | `PSEUDO_PATH` | HTTP/2 `:path` pseudo header
    `static CharSequence` | `PSEUDO_SCHEME` | HTTP/2 `:scheme` pseudo header
    `static CharSequence` | `PSEUDO_STATUS` | HTTP/2 `:status` pseudo header
    `static CharSequence` | `REFERER` | Referer header name
    `static CharSequence` | `RETRY_AFTER` | Retry-After header name
    `static CharSequence` | `SERVER` | Server header name
    `static CharSequence` | `SET_COOKIE` | Set-Cookie header name
    `static CharSequence` | `TEXT_HTML` | text/html header value
    `static CharSequence` | `TRANSFER_ENCODING` | Transfer-Encoding header name
    `static CharSequence` | `UPGRADE` | Upgrade header value
    `static CharSequence` | `USER_AGENT` | User-Agent header name
    `static CharSequence` | `VARY` | Vary header name
    `static CharSequence` | `WEBSOCKET` | WebSocket header value

  - ### Method Summary

    Static Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CharSequence` | `createOptimized​(String value)` | Create an optimized `CharSequence` which can be used as header name or value.
    `static MultiMap` | `headers()` |
    `static MultiMap` | `set​(CharSequence name, CharSequence value)` |
    `static MultiMap` | `set​(String name, String value)` |

- - ### Field Detail

    - #### DISABLE_HTTP_HEADERS_VALIDATION_PROP_NAME

          @Deprecated
          static final String DISABLE_HTTP_HEADERS_VALIDATION_PROP_NAME

      Deprecated.
      JVM system property that disables HTTP headers validation, don't use this in production.

    - #### DISABLE_HTTP_HEADERS_VALIDATION

          @Deprecated
          static final boolean DISABLE_HTTP_HEADERS_VALIDATION

      Deprecated.
      Constant that disables HTTP headers validation, this is a constant so the JIT can eliminate validation code.

    - #### ACCEPT

          static final CharSequence ACCEPT

      Accept header name

    - #### ACCEPT_CHARSET

          static final CharSequence ACCEPT_CHARSET

      Accept-Charset header name

    - #### ACCEPT_ENCODING

          static final CharSequence ACCEPT_ENCODING

      Accept-Encoding header name

    - #### ACCEPT_LANGUAGE

          static final CharSequence ACCEPT_LANGUAGE

      Accept-Language header name

    - #### ACCEPT_RANGES

          static final CharSequence ACCEPT_RANGES

      Accept-Ranges header name

    - #### ACCEPT_PATCH

          static final CharSequence ACCEPT_PATCH

      Accept-Patch header name

    - #### ACCESS_CONTROL_ALLOW_CREDENTIALS

          static final CharSequence ACCESS_CONTROL_ALLOW_CREDENTIALS

      Access-Control-Allow-Credentials header name

    - #### ACCESS_CONTROL_ALLOW_HEADERS

          static final CharSequence ACCESS_CONTROL_ALLOW_HEADERS

      Access-Control-Allow-Headers header name

    - #### ACCESS_CONTROL_ALLOW_METHODS

          static final CharSequence ACCESS_CONTROL_ALLOW_METHODS

      Access-Control-Allow-Methods header name

    - #### ACCESS_CONTROL_ALLOW_ORIGIN

          static final CharSequence ACCESS_CONTROL_ALLOW_ORIGIN

      Access-Control-Allow-Origin header name

    - #### ACCESS_CONTROL_ALLOW_PRIVATE_NETWORK

          static final CharSequence ACCESS_CONTROL_ALLOW_PRIVATE_NETWORK

      Access-Control-Allow-Private-Network header name

    - #### ACCESS_CONTROL_EXPOSE_HEADERS

          static final CharSequence ACCESS_CONTROL_EXPOSE_HEADERS

      Access-Control-Expose-Headers header name

    - #### ACCESS_CONTROL_MAX_AGE

          static final CharSequence ACCESS_CONTROL_MAX_AGE

      Access-Control-Max-Age header name

    - #### ACCESS_CONTROL_REQUEST_HEADERS

          static final CharSequence ACCESS_CONTROL_REQUEST_HEADERS

      Access-Control-Request-Headers header name

    - #### ACCESS_CONTROL_REQUEST_METHOD

          static final CharSequence ACCESS_CONTROL_REQUEST_METHOD

      Access-Control-Request-Method header name

    - #### ACCESS_CONTROL_REQUEST_PRIVATE_NETWORK

          static final CharSequence ACCESS_CONTROL_REQUEST_PRIVATE_NETWORK

      Access-Control-Request-Private-Network header name

    - #### AGE

          static final CharSequence AGE

      Age header name

    - #### ALLOW

          static final CharSequence ALLOW

      Allow header name

    - #### AUTHORIZATION

          static final CharSequence AUTHORIZATION

      Authorization header name

    - #### CACHE_CONTROL

          static final CharSequence CACHE_CONTROL

      Cache-Control header name

    - #### CONNECTION

          static final CharSequence CONNECTION

      Connection header name

    - #### CONTENT_BASE

          static final CharSequence CONTENT_BASE

      Content-Base header name

    - #### CONTENT_DISPOSITION

          static final CharSequence CONTENT_DISPOSITION

      Content-Disposition header name

    - #### CONTENT_ENCODING

          static final CharSequence CONTENT_ENCODING

      Content-Encoding header name

    - #### CONTENT_LANGUAGE

          static final CharSequence CONTENT_LANGUAGE

      Content-Language header name

    - #### CONTENT_LENGTH

          static final CharSequence CONTENT_LENGTH

      Content-Length header name

    - #### CONTENT_LOCATION

          static final CharSequence CONTENT_LOCATION

      Content-Location header name

    - #### CONTENT_TRANSFER_ENCODING

          static final CharSequence CONTENT_TRANSFER_ENCODING

      Content-Transfer-Encoding header name

    - #### CONTENT_MD5

          static final CharSequence CONTENT_MD5

      Content-MD5 header name

    - #### CONTENT_RANGE

          static final CharSequence CONTENT_RANGE

      Content-Rage header name

    - #### CONTENT_TYPE

          static final CharSequence CONTENT_TYPE

      Content-Type header name

    - #### COOKIE

          static final CharSequence COOKIE

      Content-Cookie header name

    - #### DATE

          static final CharSequence DATE

      Date header name

    - #### ETAG

          static final CharSequence ETAG

      Etag header name

    - #### EXPECT

          static final CharSequence EXPECT

      Expect header name

    - #### EXPIRES

          static final CharSequence EXPIRES

      Expires header name

    - #### FROM

          static final CharSequence FROM

      From header name

    - #### HOST

          static final CharSequence HOST

      Host header name

    - #### IF_MATCH

          static final CharSequence IF_MATCH

      If-Match header name

    - #### IF_MODIFIED_SINCE

          static final CharSequence IF_MODIFIED_SINCE

      If-Modified-Since header name

    - #### IF_NONE_MATCH

          static final CharSequence IF_NONE_MATCH

      If-None-Match header name

    - #### LAST_MODIFIED

          static final CharSequence LAST_MODIFIED

      Last-Modified header name

    - #### LOCATION

          static final CharSequence LOCATION

      Location header name

    - #### ORIGIN

          static final CharSequence ORIGIN

      Origin header name

    - #### PROXY_AUTHENTICATE

          static final CharSequence PROXY_AUTHENTICATE

      Proxy-Authenticate header name

    - #### PROXY_AUTHORIZATION

          static final CharSequence PROXY_AUTHORIZATION

      Proxy-Authorization header name

    - #### REFERER

          static final CharSequence REFERER

      Referer header name

    - #### RETRY_AFTER

          static final CharSequence RETRY_AFTER

      Retry-After header name

    - #### SERVER

          static final CharSequence SERVER

      Server header name

    - #### TRANSFER_ENCODING

          static final CharSequence TRANSFER_ENCODING

      Transfer-Encoding header name

    - #### USER_AGENT

          static final CharSequence USER_AGENT

      User-Agent header name

    - #### SET_COOKIE

          static final CharSequence SET_COOKIE

      Set-Cookie header name

    - #### APPLICATION_X_WWW_FORM_URLENCODED

          static final CharSequence APPLICATION_X_WWW_FORM_URLENCODED

      application/x-www-form-urlencoded header value

    - #### CHUNKED

          static final CharSequence CHUNKED

      chunked header value

    - #### CLOSE

          static final CharSequence CLOSE

      close header value

    - #### CONTINUE

          static final CharSequence CONTINUE

      100-continue header value

    - #### IDENTITY

          static final CharSequence IDENTITY

      identity header value

    - #### KEEP_ALIVE

          static final CharSequence KEEP_ALIVE

      keep-alive header value

    - #### UPGRADE

          static final CharSequence UPGRADE

      Upgrade header value

    - #### WEBSOCKET

          static final CharSequence WEBSOCKET

      WebSocket header value

    - #### DEFLATE_GZIP

          static final CharSequence DEFLATE_GZIP

      deflate,gzip header value

    - #### DEFLATE_GZIP_BR

          static final CharSequence DEFLATE_GZIP_BR

      deflate,gzip,br header value

    - #### DEFLATE_GZIP_ZSTD_BR_SNAPPY

          static final CharSequence DEFLATE_GZIP_ZSTD_BR_SNAPPY

      deflate,gzip,zstd,br header value

    - #### DEFLATE_GZIP_ZSTD

          static final CharSequence DEFLATE_GZIP_ZSTD

      deflate,gzip,zstd header value

    - #### TEXT_HTML

          static final CharSequence TEXT_HTML

      text/html header value

    - #### GET

          static final CharSequence GET

      GET header value

    - #### VARY

          static final CharSequence VARY

      Vary header name

    - #### PSEUDO_PATH

          static final CharSequence PSEUDO_PATH

      HTTP/2 `:path` pseudo header

    - #### PSEUDO_AUTHORITY

          static final CharSequence PSEUDO_AUTHORITY

      HTTP/2 `:authority` pseudo header

    - #### PSEUDO_SCHEME

          static final CharSequence PSEUDO_SCHEME

      HTTP/2 `:scheme` pseudo header

    - #### PSEUDO_STATUS

          static final CharSequence PSEUDO_STATUS

      HTTP/2 `:status` pseudo header

    - #### PSEUDO_METHOD

          static final CharSequence PSEUDO_METHOD

      HTTP/2 `:method` pseudo hedaer

  - ### Method Detail

    - #### createOptimized

          static CharSequence createOptimized​(String value)

      Create an optimized `CharSequence` which can be used as header name or value. This should be used if you expect to use it multiple times liked for example adding the same header name or value for multiple responses or requests.

    - #### headers

          static MultiMap headers()

    - #### set

          static MultiMap set​(String name,
                              String value)

    - #### set

          static MultiMap set​(CharSequence name,
                              CharSequence value)